import React, {Component} from 'react'
import {pathServer} from "../../../Constants";
import {Link} from "react-router";
import LoginForm from './LoginForm.jsx';

class Login extends Component {

  constructor(props) {
    super(props);
    this.state = {
    };
  }


  render() {
    return (
      <div id="login">
        <div className="background"/>
        <div id="headerTop" className="header-content">
          <img className="logo" src={pathServer.PATH_IMG + "zoom-logo.png"}/>
          <Link to="/catalog">
            <img  className="close-icon" src={pathServer.PATH_IMG + "close.png"}/>
          </Link>
        </div>
        <svg className="user-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 39.104 41">
          <path id="Path_53"
                d="M39.141,35.654V34.492c0-2.822-2.656-3.984-5.312-5.146a19.026,19.026,0,0,1-5.146-2.656c-2.49-1.66-2.656-2.158-2.822-2.324,0-.166.332-.664.5-1.162a14.6,14.6,0,0,0,1-1.66c1.826-3.652,1.826-3.818,1.826-12.117,0-7.47-6.308-9.628-9.628-9.628a9.464,9.464,0,0,0-9.462,9.96c0,8.466,0,8.632,1.826,12.117a14.6,14.6,0,0,0,1,1.66l.5,1c0,.166-.332.664-2.822,2.324a38.388,38.388,0,0,1-5.146,2.656C2.789,30.674.133,31.67.133,34.658V35.82a3.56,3.56,0,0,0,.83,3.32c1.162,1.328,3.486,1.66,8.8,1.66H29.679c5.312,0,7.636-.5,8.8-1.66C39.307,38.144,39.141,36.982,39.141,35.654ZM14.906,22.209a5.972,5.972,0,0,1-.83-1.494c-1.494-2.988-1.494-2.988-1.494-11.121,0-6.806,6.308-6.972,7.138-7.138.332,0,6.972.166,6.972,7.138,0,7.968,0,7.968-1.494,11.121a14.96,14.96,0,0,0-.83,1.494c-1.66,2.656-1.162,3.818,2.324,6.308-2.324,2.656-4.814,4.15-7.3,3.984-2.988-.166-5.478-2.324-6.806-3.984C16.068,26.027,16.566,24.865,14.906,22.209ZM36.485,37.48c-.5.664-2.988.83-6.972.83H9.594c-4.15,0-6.474-.332-6.972-.83-.166-.166-.166-.664-.166-1.494V34.658c0-1.162,1-1.66,3.818-2.822a27.494,27.494,0,0,0,3.984-1.826c1.494,1.826,4.648,4.814,8.8,4.98h.332c3.154,0,6.308-1.66,9.13-5.146a45.175,45.175,0,0,0,4.15,1.992c2.656,1.162,3.818,1.66,3.818,2.822v1.328A2.244,2.244,0,0,1,36.485,37.48Z"
                transform="translate(-0.05 0.2)"/>
        </svg>
        <LoginForm />
      </div>
      );
  }
}

export default Login;